View Issue Details

IDProjectCategoryView StatusLast Update
13283Bug reports[All Projects] Survey designpublic2018-09-03 17:14
ReporterTonisOrmisson Assigned Todominikvitt  
PriorityimmediateSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.14.x 
Summary13283: Survey Groups tile should be mandatory
Description

The survey groups title currently is not mandatory, but is used as display-name for drop-down selections.
If a group with no title is entered, the drop-down will have an empty selection.
Or - the selections should use the "name" attribute.

what is the difference between the name and title anyway?

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.1.1
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionna
Server OS (if known)na
Webserver software & version (if known)na
PHP Versionna

Activities

TonisOrmisson

TonisOrmisson

2018-02-01 12:55

developer   ~46193

https://github.com/LimeSurvey/LimeSurvey/pull/979

dominikvitt

dominikvitt

2018-08-28 16:24

developer   ~48902

This issue is fixed.
https://github.com/LimeSurvey/LimeSurvey/commit/44d37045fb6edc758d4cd539fb5f410cb739c734

guest

guest

2018-08-28 16:25

viewer   ~48903

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27867

c_schmitz

c_schmitz

2018-09-03 17:14

administrator   ~48939

Version 3.14.8+180829 released

Related Changesets

LimeSurvey: master 44d37045

2018-08-28 16:20:48

Dominik Vitt

Details Diff
Fixed issue 13283: Survey Groups title should be mandatory Affected Issues
13283
mod - application/models/SurveysGroups.php Diff File

Issue History

Date Modified Username Field Change
2018-02-01 12:46 TonisOrmisson New Issue
2018-02-01 12:53 TonisOrmisson Assigned To => TonisOrmisson
2018-02-01 12:53 TonisOrmisson Status new => assigned
2018-02-01 12:55 TonisOrmisson Note Added: 46193
2018-08-28 10:48 LouisGac Assigned To TonisOrmisson => dominikvitt
2018-08-28 11:59 LouisGac Priority none => immediate
2018-08-28 16:24 dominikvitt Status assigned => resolved
2018-08-28 16:24 dominikvitt Resolution open => fixed
2018-08-28 16:24 dominikvitt Fixed in Version => 3.14.x
2018-08-28 16:24 dominikvitt Note Added: 48902
2018-08-28 16:25 Changeset attached => LimeSurvey master 44d37045
2018-08-28 16:25 guest Note Added: 48903
2018-09-03 17:14 c_schmitz Note Added: 48939
2018-09-03 17:14 c_schmitz Status resolved => closed